{% extends "Docentes/Intranet/profile_docente.html" %}
{% load i18n admin_static admin_list %}

{% block breadcrumbs %}
    <ul class="breadcrumb">
        <li><a href="/docente/profile/">Home</a> <span class="divider">/</span></li>
        <li class="active">{% trans 'Cursos a cargo' %}</li>
    </ul>
{% endblock %}

{% block content-main %}
    <div class="row-fluid">
        <div class="well well2">
            <h3>{% trans 'Labor docente' %}</h3>
            <div>
                <form action="" method="get" class="form-horizontal well">
                    {% csrf_token %}
                    <select name="pl" id="pl" style="width: 300px;">
                        <option value="">-----Selecciona labor -----</option>
                        {% for periodo_labor in periodo_labors %}
                            <option value="{{ periodo_labor.id }}">{{ periodo_labor.Labor.Nombre }} |
                                Labor {{ periodo_labor.Labor.Tipolabor.Nombre }} </option>
                        {% endfor %}
                    </select>
                    <input type="submit" value="Cargar">
                </form>
            </div>
            <div>
                {% if periodo_labor_select != '' %}
                    <h3> {{ periodo_labor_select.Labor.Nombre }}</h3>
                    <span>Labor {{ periodo_labor_select.Labor.Tipolabor.Nombre }}</span>
                {% endif %}
            </div>
            <div>
                {% if pl != '' %}
                    <table class="table table-striped table-bordered">
                        <tr>
                            <th>Día</th>
                            <th>Hora inicio</th>
                            <th>Hora fin</th>
                            <th>Sección</th>
                        </tr>

                        {% for horario_labor in horario_labors %}
                            <tr>
                                <td style="text-align: center">{{ horario_labor.Dia }}</td>
                                <td style="text-align: center">{{ horario_labor.HoraInicio }}</td>
                                <td style="text-align: center">{{ horario_labor.HoraFin }}</td>
                                <td style="text-align: center">{{ horario_labor.Seccion }}</td>
                            </tr>
                        {% endfor %}
                    </table>

                {% else %}
                    <p>{% trans 'No se encontraron resultados. Selecciona una labor.' %}</p>
                {% endif %}

            </div>
        </div>
    </div>
{% endblock %}
